commit:     97d7d397cf26ebc578280b3f10730f4f2c680242
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  9 05:05:25 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Sep  9 05:38:51 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97d7d397

dev-ruby/faraday-follow_redirects: new package, add 0.3.0

New dependency for dev-ruby/puppet_forge.

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/faraday-follow_redirects/Manifest         |  1 +
 .../faraday-follow_redirects-0.3.0.ebuild          | 33 ++++++++++++++++++++++
 dev-ruby/faraday-follow_redirects/metadata.xml     | 11 ++++++++
 3 files changed, 45 insertions(+)

diff --git a/dev-ruby/faraday-follow_redirects/Manifest 
b/dev-ruby/faraday-follow_redirects/Manifest
new file mode 100644
index 000000000000..3802e9907d08
--- /dev/null
+++ b/dev-ruby/faraday-follow_redirects/Manifest
@@ -0,0 +1 @@
+DIST faraday-follow_redirects-0.3.0.tar.gz 9884 BLAKE2B 
463cfb9e797f21355fea5318f0a647936194b671828e55c6ad6dff1c3e853b15ed0facac28e2f59c0cccf8db5d9f11f3bd66c1c877d9a9538d5deea832c4d3d2
 SHA512 
357b9618f203749f806b7882b39dfd1b90a403c9a76734f4d3ae59ef2a70430254e616be66fb5a0ec74e770e2ee9df6e0f805b00f70a6f99de12ff70fa4d2bda

diff --git 
a/dev-ruby/faraday-follow_redirects/faraday-follow_redirects-0.3.0.ebuild 
b/dev-ruby/faraday-follow_redirects/faraday-follow_redirects-0.3.0.ebuild
new file mode 100644
index 000000000000..78e79967c84a
--- /dev/null
+++ b/dev-ruby/faraday-follow_redirects/faraday-follow_redirects-0.3.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Perform multipart-post requests using Faraday"
+HOMEPAGE="https://github.com/tisba/faraday-follow-redirects";
+SRC_URI="https://github.com/tisba/faraday-follow-redirects/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+RUBY_S="faraday-follow-redirects-${PV}"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+ruby_add_rdepend "|| ( dev-ruby/faraday:2 dev-ruby/faraday:1 )"
+
+ruby_add_bdepend "test? ( dev-ruby/webmock )"
+
+all_ruby_prepare() {
+       sed -i -e "s:_relative ':'./:" ${RUBY_FAKEGEM_GEMSPEC} || die
+}

diff --git a/dev-ruby/faraday-follow_redirects/metadata.xml 
b/dev-ruby/faraday-follow_redirects/metadata.xml
new file mode 100644
index 000000000000..42a21a64fc14
--- /dev/null
+++ b/dev-ruby/faraday-follow_redirects/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Gentoo Ruby Project</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">tisba/faraday-follow-redirects</remote-id>
+  </upstream>
+</pkgmetadata>

Reply via email to